> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mkk.celebi.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Get fund detail



## OpenAPI

````yaml /openapi.json get /funds/{fundId}
openapi: 3.0.3
info:
  title: MKK Structured Data API
  version: 0.1.0
  description: >-
    Read-only JSON API for normalized MKK/VYK PDF extraction results, portfolio
    entries, and data-quality review queues.
servers:
  - url: https://mkk.celebi.me/api
security: []
tags:
  - name: System
  - name: Funds
  - name: Sections
  - name: Documents
  - name: Line Items
  - name: Portfolio
  - name: Stocks
  - name: Quality
  - name: Exports
paths:
  /funds/{fundId}:
    get:
      tags:
        - Funds
      summary: Get fund detail
      operationId: getFund
      parameters:
        - $ref: '#/components/parameters/FundIdPath'
        - $ref: '#/components/parameters/IncludeValues'
        - $ref: '#/components/parameters/IncludePortfolio'
        - $ref: '#/components/parameters/PortfolioLimit'
        - $ref: '#/components/parameters/PortfolioOffset'
      responses:
        '200':
          description: >-
            Fund detail with documents, line items, sections, and optional
            portfolio entries.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FundDetail'
        '404':
          description: The requested resource was not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  parameters:
    FundIdPath:
      name: fundId
      in: path
      required: true
      description: Fund code, for example OJB.
      schema:
        type: string
    IncludeValues:
      name: include_values
      in: query
      required: false
      description: 'Include nested values. Truthy values: 1, true, yes, on.'
      schema:
        type: string
    IncludePortfolio:
      name: include_portfolio
      in: query
      required: false
      description: 'Include portfolio entries. Truthy values: 1, true, yes, on.'
      schema:
        type: string
    PortfolioLimit:
      name: portfolio_limit
      in: query
      required: false
      description: Maximum number of embedded portfolio entries to return.
      schema:
        type: integer
        minimum: 1
        maximum: 5000
    PortfolioOffset:
      name: portfolio_offset
      in: query
      required: false
      description: Number of embedded portfolio entries to skip.
      schema:
        type: integer
        minimum: 0
  schemas:
    FundDetail:
      allOf:
        - $ref: '#/components/schemas/FundSummary'
        - type: object
          properties:
            portfolio_entry_count:
              type: integer
            documents:
              type: array
              items:
                $ref: '#/components/schemas/DocumentSummary'
            line_items:
              type: array
              items:
                $ref: '#/components/schemas/LineItem'
            sections:
              type: array
              items:
                $ref: '#/components/schemas/SectionDetail'
            portfolio_sections:
              type: array
              items:
                $ref: '#/components/schemas/PortfolioSectionSummary'
            portfolio_limit:
              type: integer
            portfolio_offset:
              type: integer
            portfolio_entries:
              type: array
              items:
                $ref: '#/components/schemas/PortfolioEntry'
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
        routes:
          type: array
          items:
            type: string
    FundSummary:
      type: object
      properties:
        id:
          type: string
        fund_code:
          type: string
        document_count:
          type: integer
        period_count:
          type: integer
        line_item_count:
          type: integer
        first_period:
          type: string
          nullable: true
        last_period:
          type: string
          nullable: true
        fund_title:
          type: string
          nullable: true
    DocumentSummary:
      type: object
      properties:
        id:
          type: integer
        disclosure_index:
          type: string
          nullable: true
        file_name:
          type: string
        pdf_url:
          type: string
        kap_file_url:
          type: string
          nullable: true
        kap_url:
          type: string
          nullable: true
        page_count:
          type: integer
          nullable: true
        parsed_pages:
          type: integer
          nullable: true
        document_type:
          type: string
          nullable: true
        fund_code:
          type: string
          nullable: true
        fund_title:
          type: string
          nullable: true
        period:
          type: string
          nullable: true
        report_date:
          type: string
          nullable: true
        management_company:
          type: string
          nullable: true
        line_item_value_count:
          type: integer
        portfolio_entry_count:
          type: integer
        portfolio_row_count:
          type: integer
    LineItem:
      type: object
      properties:
        id:
          type: integer
        slug:
          type: string
        name:
          type: string
        sectionId:
          type: string
          nullable: true
        sectionName:
          type: string
          nullable: true
        section:
          type: string
          nullable: true
        unit:
          type: string
          nullable: true
        kind:
          type: string
        value_count:
          type: integer
        fund_count:
          type: integer
        document_count:
          type: integer
        values:
          type: array
          items:
            $ref: '#/components/schemas/LineItemValue'
    SectionDetail:
      allOf:
        - $ref: '#/components/schemas/SectionSummary'
        - type: object
          properties:
            line_items:
              type: array
              items:
                $ref: '#/components/schemas/LineItem'
    PortfolioSectionSummary:
      type: object
      properties:
        section:
          type: string
          nullable: true
        entry_count:
          type: integer
        document_count:
          type: integer
        transaction_value_sum:
          type: number
          nullable: true
    PortfolioEntry:
      type: object
      properties:
        id:
          type: integer
        document_id:
          type: integer
        disclosure_index:
          type: string
          nullable: true
        file_name:
          type: string
          nullable: true
        fund_code:
          type: string
          nullable: true
        fund_title:
          type: string
          nullable: true
        period:
          type: string
          nullable: true
        section:
          type: string
          nullable: true
        security:
          type: string
          nullable: true
        isin:
          type: string
          nullable: true
        issuer:
          type: string
          nullable: true
        bank:
          type: string
          nullable: true
        maturity_date:
          type: string
          nullable: true
        transaction_date:
          type: string
          nullable: true
        price:
          type: string
          nullable: true
        numeric_price:
          type: number
          nullable: true
        transaction_value:
          type: string
          nullable: true
        numeric_transaction_value:
          type: number
          nullable: true
        nominal_value:
          type: string
          nullable: true
        numeric_nominal_value:
          type: number
          nullable: true
        market_value:
          type: string
          nullable: true
        numeric_market_value:
          type: number
          nullable: true
        rate:
          type: string
          nullable: true
        numeric_rate:
          type: number
          nullable: true
        amount:
          type: string
          nullable: true
        numeric_amount:
          type: number
          nullable: true
        currency:
          type: string
          nullable: true
        raw_row:
          type: string
          nullable: true
        columns:
          type: array
          items:
            $ref: '#/components/schemas/PortfolioColumn'
    LineItemValue:
      type: object
      properties:
        id:
          type: integer
        document_id:
          type: integer
        disclosure_index:
          type: string
          nullable: true
        file_name:
          type: string
          nullable: true
        fund_code:
          type: string
          nullable: true
        fund_title:
          type: string
          nullable: true
        period:
          type: string
          nullable: true
        line_item_id:
          type: integer
        line_item_slug:
          type: string
          nullable: true
        line_item_name:
          type: string
          nullable: true
        sectionId:
          type: string
          nullable: true
        sectionName:
          type: string
          nullable: true
        canonical_section:
          type: string
          nullable: true
        kind:
          type: string
          nullable: true
        raw_section:
          type: string
          nullable: true
        raw_label:
          type: string
          nullable: true
        value:
          type: string
          nullable: true
        numeric_value:
          type: number
          nullable: true
        unit:
          type: string
          nullable: true
        source:
          type: string
          nullable: true
        mapping_method:
          type: string
          nullable: true
        mapping_confidence:
          type: number
          nullable: true
    SectionSummary:
      type: object
      properties:
        id:
          type: string
        sectionId:
          type: string
        name:
          type: string
        sort_order:
          type: integer
        line_item_count:
          type: integer
        document_count:
          type: integer
        fund_count:
          type: integer
    PortfolioColumn:
      type: object
      properties:
        header:
          type: string
          nullable: true
        key:
          type: string
          nullable: true
        value:
          type: string
          nullable: true

````